System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.EventArgs

A is passed to the event handler to provide event data to the handler. The event is raised when validation is performed on the server. This allows you to perform a custom server-side validation routine on the value of an input control (with a control associated with it) in the event handler.

The value to validate is determined by using the property. Once your code has determined whether the value is valid, store the results of the validation in the property.

For a list of initial property values for an instance of , see the constructor.

For more information about handling events, see [<topic://cpconEventsOverview>].

Provides data for the event of the control. This class cannot be inherited.

- Constructor
  To be added.

  Use this constructor to create and initialize a new instance of the class.

  The following table shows initial property values for an instance of .

  Property

  Initial Value

  Value

  The value of the parameter.

  IsValid

  The value of the parameter.

  Initializes a new instance of the class.

  The value to validate.
  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  Once your validation routine finishes, use the property to indicate whether the value specified by the property passed validation. This value determines whether the input control associated with the control passed validation.

  Gets or sets whether the value specified by the property passed validation.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  Use the property determine the value to validate in the custom event handler for the event. Notice that you cannot programmatically change this value.

  Gets the value to validate in the custom event handler for the event.

  1.0.5000.0
  2.0.0.0